%define confdir		%{_sysconfdir}/httpd/conf/
%define contentdir	/var/www

%define name	awstats
%define version	6.0
%define release	2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Advanced Web Statistics
License:	GPL
Group:		Networking/WWW
URL:		http://awstats.sourceforge.net
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.conf
Source2:	%{name}.cron
Patch:		awstats-6.0-conf.patch
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Advanced Web Statistics is a powerful and featureful tool that generates
advanced web server graphic statistics. This server log analyzer works
from command line or as a CGI and shows you all information your log contains,
in graphical web pages. It can analyze a lot of web/wap/proxy servers like
Apache, IIS, Weblogic, Webstar, Squid, ... but also mail or ftp servers.

This program can measure visits, unique vistors, authenticated users, pages,
domains/countries, OS busiest times, robot visits, type of files, search
engines/keywords used, visits duration, HTTP errors and more...
Statistics can be updated from a browser or your scheduler.
The program also supports virtual servers, plugins and a lot of features.

%package doc
Group: Documentation
Summary: Documentation for Advanced Web Statistics

%description doc
Advanced Web Statistics is a powerful and featureful tool that generates
advanced web server graphic statistics.

This package contains documentation for Advanced Web Statistics.

%prep
%setup -q
%patch -p1

%build

%install
rm -rf $RPM_BUILD_ROOT

# apache configuration
install -d -m 755 $RPM_BUILD_ROOT%{confdir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{confdir}

install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{contentdir}/cgi-bin
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_localstatedir}/%{name}

install -m 755 wwwroot/cgi-bin/awstats.pl $RPM_BUILD_ROOT%{contentdir}/cgi-bin
install -m 644 wwwroot/cgi-bin/awstats.model.conf $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/%{name}.conf
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/%{name}

cp -r tools $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -r wwwroot/icon $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -r wwwroot/cgi-bin/lang $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -r wwwroot/cgi-bin/lib $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -r wwwroot/cgi-bin/plugins $RPM_BUILD_ROOT%{_datadir}/%{name}
chmod 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 -eq 1 ]; then
	perl -pi -e 's/SiteDomain=""/SiteDomain="'`hostname`'"/' %{_sysconfdir}/%{name}/%{name}.conf
fi

%files
%defattr(-,root,root)
%doc README.TXT
# Apache configuration file
%config(noreplace) %{confdir}/%{name}.conf
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/cron.daily/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%{_datadir}/%{name}
%{_localstatedir}/%{name}
%{contentdir}/cgi-bin/%{name}.pl

%files doc
%defattr(-,root,root)
%doc docs/*

%changelog
* Fri Feb  6 2004 Peter Hanecak <hanecak@megaloman.sk> 6.0-2
- finished adaptations to Doors Linux

* Thu Jan 22 2004 Peter Hanecak <hanecak@megaloman.sk> 6.0-1
- adapted to Doors Linux
- update to 6.0

* Fri Dec 12 2003 Guillaume Rousse <guillomovitch@mandrake.org> 5.9-2mdk
- fixed conf file (fix bug #6497)

* Tue Sep 30 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 5.9-1mdk
- 5.9
- ADVX macros

* Thu Jul 17 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 5.6-2mdk
- fixes from Frederic Crozat <fcrozat@mandrakesoft.com>
 - cron task
 - fixed configuration

* Sun Jul 06 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 5.6-1mdk
- 5.6

* Sat Jun 21 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 5.5-1mdk
- 5.5
- apache 2 setup

* Tue Mar 18 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 5.4-1mdk
- 5.4
- configuration patch merged upstream
- post-install automatic configuration

* Mon Feb 03 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 5.3-1mdk
- first mdk release
